#!/bin/ksh 
# Copyright (c) 2002 IBM Corp. - All Rights Reserved.
# IBM makes no representations or warranties about the suitability of
# this program, either express or implied, including but not limited to 
# the implied warranties of merchantability, fitness for a particular 
# purpose, or non-infringement.

# Check parameter $1 is a valid directory.

if [ -d $1 ]; then
 # test 1st argument is a directory
 tmpdir="${PWD}"
 cd $1
 
echo Creating backup jar backup_wbc_fixpack_2.jar. Please wait .... 
echo Creating backup jar backup_wbc_fixpack_2.jar. Please wait .... >>$1/wbc_fixpack_2.log

jar -cvfM $1/backup_wbc_fixpack_2.jar install bin doc lib samples scripts readme.LFT.txt readme.txt >>$1/wbc_fixpack_2.log

echo Done creating backup jar.
echo Done creating backup jar.>>$1/wbc_fixpack_2.log 2>&1

rm -rf wsgw/install

cd $tmpdir
fi

